textures/ql/bricks_dark_trim_ns
{
	qer_editorimage textures/ql/bricks_dark_trim.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/ql/bricks_dark_trim.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	}
}


textures/ql/iron_arch
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
      nopicmip

	{
		map textures/ql/iron_arch.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ql/metal_support_simple
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ql/metal_support_simple.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ql/hero
{
	qer_editorimage textures/ql/hero.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ql/hero.tga
		blendfunc add
	}	
}

textures/ql/arrow
{
	qer_editorimage textures/ql/arrow.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ql/arrow.tga
		blendfunc add
	}	
}

textures/ql/doomred
{
	qer_editorimage textures/ql/doomred.tga
	deformVertexes autosprite
	cull none
        nopicmip
	{
		map textures/ql/doomred.tga
		alphaFunc GE128
		depthWrite
	//	rgbGen lightingdiffuse
		tcMod stretch sin 0.99 .01 1 1
	}
	{
		map textures/ql/doomredo.tga
		rgbGen Wave square 0 0.5 0 1
		blendfunc add
		tcMod stretch sin 0.99 .01 1 1
	}
        
}

textures/ql/sensor_red
{
	qer_editorimage textures/ql/sensor_red.tga

	qer_trans 0.40
	nopicmip
	cull disable	
	{
		map textures/ql/sensor_red.tga
		rgbGen wave triangle 0.44 0.12 0 0.8
		blendfunc GL_ONE GL_ONE
	}
}

textures/ql/sensor
{
	qer_editorimage textures/ql/sensor.tga

	qer_trans 0.40
	surfaceparm nonsolid
	nopicmip
	cull disable	
	{
		map textures/ql/sensor.tga
		rgbGen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
	{
		map textures/ql/sensor.tga
		rgbGen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/ad_content/adbrightoverlay.tga
		rgbGen Wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
}

textures/ql/woql
{
	qer_editorimage textures/ql/woql.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ql/woql.tga
		blendfunc blend
	}

}

textures/ql/credits
{
	qer_editorimage textures/ql/credits.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ql/credits.tga
		blendfunc add
	}
}

textures/ql/dot_filled
{
	qer_editorimage textures/ql/dot_filled.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		map textures/ql/dot_filled.tga
		blendfunc add
	}
}

textures/ql/dot_empty
{
	qer_editorimage textures/ql/dot_empty.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		map textures/ql/dot_empty.tga
		blendfunc add
	}
}

textures/ql/snow
{
	surfaceparm	snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/ql/snow.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ql/snow_ns
{
	qer_editorimage textures/ql/snow.tga

	surfaceparm	snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/ql/snow.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/ql/snow_melting
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	sort 6
	{
		map textures/ql/snow_melting.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/ql/ice
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}

	{
		map textures/ql/ice.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}



textures/ql/snowcrete
{
 
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}

	{
		map textures/ql/snowcrete.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}

textures/ql/metwall_light
{
	qer_editorimage textures/ql/metwall_light.tga
	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metwall_light.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ql/metwall_dark
{
	qer_editorimage textures/ql/metwall_dark.tga
	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metwall_dark.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ql/metwall
{
	qer_editorimage textures/ql/metwall.tga
	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metwall.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ql/metbig
{
	qer_editorimage textures/ql/metbig.tga
	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metbig.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ql/metbig_light
{
	qer_editorimage textures/ql/metbig_light.tga
	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metbig_light.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ql/metcol_neutral
{
	qer_editorimage textures/ql/metcol_neutral.tga

	{
		map textures/ql/glow_yellow.tga
//		blendfunc add
		tcmod scale .5 1
		tcmod scroll  -.2 0
	}
	{
		map textures/ql/glow_yellow.tga
		blendfunc add
		tcmod scroll -0.25 0
	}
	{
		map textures/ql/metcol_neutral.tga
		blendFunc blend
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ql/snowmet_red2
{
	qer_editorimage textures/ql/snowmet_red.tga



	{
		map textures/ql/snowmet_red.tga
//		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ql/glow_red.tga
		blendfunc add
		tcmod scroll -0.25 0
		rgbGen wave sin 0.75 0 0 0
	//	tcmod scale 0.75 1
	}
	{
		map textures/ql/glow_red.tga
		blendfunc add
		tcmod scroll -1 0
		rgbGen wave sin 0.5 0 0 0
		tcmod scale 0.5 1
	}

}
textures/ql/metcol_red
{
	qer_editorimage textures/ql/metcol_red.tga
	{
		map textures/ql/glow_red.tga
//		blendfunc blend
		tcmod scale .5 1
		tcmod scroll  -.2 0
	}
	{
		map textures/ql/glow_red.tga
		blendfunc add
		tcmod scroll -0.25 0
	}

	{
		map textures/ql/metcol_red.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}


}
textures/ql/metcol_blue
{
	qer_editorimage textures/ql/metcol_blue.tga
	{
		map textures/ql/glow_blue.tga
//		blendfunc blend
		tcmod scale .5 1
		tcmod scroll  -.2 0
	}
	{
		map textures/ql/glow_blue.tga
		blendfunc add
		tcmod scroll -0.25 0
	}
	{
		map textures/ql/metcol_blue.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}